Skip to main content
PUT
Update a Placement

Authorizations

Authorization
string
header
required

API key en el header Authorization: Basic TU_API_KEY. La key va tal cual, sin codificar en base64. Las credenciales se entregan al comenzar la integración.

Path Parameters

id
integer
required

Identifier of the placement you'd like to update.

Body

application/json
active
boolean

Whether to actively serve ads in the zones (true) or pause ad serving (false). Defaults to true.

Example:

true

advertisement
object

An object containing the campaign identifier and type when creating a placement for a campaign. Otherwise, provide the appropriate ad item identifier or bidder identifier along with the corresponding type.

NOTE: Subscribers on the Standard tier and below must have the Enhanced Ads add-on to create new rich media ads and native ads, as well as to change existing ads to either of those ad item types. Further, subscribers must have the Programmatic Advertising add-on to create programmatic ads.

channel
integer

If assigned to a channel, this is the channel ID. This field cannot be given if zone is given. Either zone or channel are required in a POST.

NOTE: Only subscribers on the Standard tier and above can create channels or assign campaigns to channels. If you don't have that feature, you must set this field's value to null.

Example:

null

cost
object

An object associating a pricing model with the performance of your ad item placement. This information will be used to calculate the revenue generated by your ad. You can either use a fixed cost or a rate-based pricing model for your ad placements.

Fixed cost is tied to the amount of quota and is given as { 'fixed_cost': 0.00 } You can also use a rate-based pricing model by specifying cpm, cpc, and cpa values as { 'cpm': 0.00, 'cpc': 0.00, 'cpa': 0.00 }.

This field is considered a classic PUT: any properties not included in the cost field will be set to 0.00, even if the property already has a value.

Example:
day_cap_limit
integer
deprecated

This field has been moved to the schedule object and is now deprecated.

Example:

null

day_cap_type
string
deprecated

This field has been moved to the schedule object and is now deprecated.

Example:

"views"

geo_target
integer

The geotarget identifier (ID) if you want your ads to be delivered to a particular location only. This will direct your audience to ads in their region. Defaults to null, which means geographic targeting is not in effect.

NOTE: For campaigns, this can be set only if the campaign's targeting_source was set to "CAMPAIGN". Otherwise, targeting can be configured only in Campaign Assignments. In addition, your subscription must have the Complete Targeting add-on to use this feature. If you don't have the add-on, you must set this field's value to null.

Example:

12345

keywords
string

Specify words separated by commas to determine if this ad should be served if a match is found on the page. You can use an asterisk ("*") to represent a wildcard in a keyword.

For example, "paint*" would match paint, painter, painting, paints, and all other variations.

You can also stop the ad from being served in presence of a specific word by prepending a negative sign (-) to the word. For example, "-paint" would stop the ad from being delivered if the word "paint" is found on the page.

NOTE: For campaigns, this can be set only if the campaign's targeting_source was set to "CAMPAIGN". Otherwise, targeting can be configured only in Campaign Assignments.

Example:

"example, keyword, list"

keywords_match_method
string

Defines the level of keyword targeting. Has three possible values: "required", "preferred" or "filtered".

Set this to "required" to serve the ad only if a keyword match is found. Set this to "preferred" to increase the serving priority of an ad whenever a match is found. Set this to "filtered" to require a keyword match for the ad to be served without affecting the serving priority.

NOTE: For campaigns, this can be set only if the campaign's targeting_source was set to "CAMPAIGN". Otherwise, targeting can be configured only in Campaign Assignments.

Example:

"preferred"

payout
object

This information will be used to calculate the payout to the ad's publisher. Percentage-based payouts will be calculated based on the placement's cost values, whereas rate-based payouts are independent of the placement's cost.

Any combination of the four properties (fixed, cpm, cpc, cpa) can be given; however, fixed payout will be ignored for rate-based payout if any of the other three cpx properties are set.

This field is considered a classic PUT: any properties not included in the payout field will be set to 0.00, even if the property already had a value.

Example:
payout_percent
number<float>
deprecated

The percentage of the ad generated revenue paid out to the publisher.

DEPRECATED: This field has been expanded to the more detailed payout, though it may still be used as a simplified version. We encourage updating to use payout as payout_percent will likely be removed in later versions of the API.

Example:

null

per_user_view_limit
integer
deprecated

This field has been moved to the schedule object and is now deprecated.

Example:

null

per_user_view_period
integer
deprecated

This field has been moved to the schedule object and is now deprecated.

Example:

null

platform_target
integer

The platform target identifier (ID) if you intend to restrict delivery of your ads to a certain device or a platform. Defaults to null, which means platform targeting is not in effect.

NOTE: For campaigns, this can be set only if the campaign's targeting_source was set to "CAMPAIGN". Otherwise, targeting can be configured only in Campaign Assignments. In addition, your subscription must have the Targeting add-on to use this feature.

Example:

12345

priority
string

A value specifying whether to prefer serving of some ads over others in a campaign or channel. Allowable values in order of decreasing priority: "sponsorship", "standard", "network", "bulk", and "house".

Example:

"standard"

serve_method
string

Whether the placement is served using a weight-based ("weight") or auction-based ("auction") system. Defaults to "weight".

Auction-based placements are served based on their CPM and schedule. Weight is ignored for these placements and they are served using the default delivery_method regardless of their assigned schedule.

Weight-based placements are served based on their weight and schedule. These placements can still have a CPM associated with them, but the CPM does not affect serving and is only used for reporting.

NOTE: The serve method cannot be changed. Further, the auction-based system is available only to subscribers who have the Programmatic Advertising or Self-Serve Marketplace add-ons. If you don't have either of these add-ons, you must set this field's value to "weight".

Example:

"weight"

schedule
integer

The schedule identifier (ID).

NOTE: For campaigns, this can be set only if the campaign's scheduling_source was set to "CAMPAIGN". Otherwise, scheduling can be configured only in Campaign Assignments.

Example:

888

weight
integer

A number used to determine the serving frequency of an advertisement. This number is used to compute the probability of an ad being served in a particular zone or channel. Can only be used in zone or channel that uses "weight" as its serving strategy. Defaults to 1, which means every ad has an equal chance of being served. For example, consider three ad items assigned to a zone or channel with weights of 1, 4 and 5. The ratio works out to a corresponding probability of 10%, 40% and 50% chance of each ad item being served.

Example:

1

share_of_voice
integer

A number used to determine the serving frequency of an advertisement. Required when placement is assigned to a zone or channel that uses "share of voice" as its serving strategy. The sum of the share of voice for all placements in a zone or channel cannot exceed 100.

Example:

25

zone
object

If assigned to a zone, this is an object containing type and the zone ID. This field cannot be given if channel is given. Either zone or channel are required in a POST. The type value can be either standard_zone or email_zone.

Example:
data_key_target_id
integer

The Data Key Target identifier (ID).

NOTE: For campaigns, this can be set only if the campaign's targeting_source was set to "CAMPAIGN". Otherwise, targeting can be configured only in Campaign Assignments. In addition, only Enterprise subscribers have access to the Data Keys feature. If you don't have that feature enabled, you must set this field's value to null or 0.

Example:

10000

list_target
integer

The List Target identifier (ID) if you want your ads to be delivered based on the inclusion or exclusion of specific values in their respective lists. Defaults to null which means list targeting is not in effect. NOTE: For campaigns, this can be set only if the campaign's targeting_source was set to "CAMPAIGN". Otherwise, targeting can be configured only in Campaign Assignments. In addition, you need to have List Targeting enabled in your account to use this feature. If you don't have that feature enabled, you must set this field's value to null.

Example:

12345

contextual_segments
integer[]

An array of contextual segment identifiers (IDs).

Example:
audience_segments
integer[]

Field for an upcoming feature. For now, set this field's value to null or an empty array.

Example:
custom_segment_definition
integer

The Custom Segment Definition identifier (ID) if you want this placement targeted at the members that definition selects. Defaults to null, which means custom segment targeting is not in effect. The member is identified on the ad call by the custom_segment_member parameter. A placement carries a single definition, so a second rule set needs a second definition on a second placement. NOTE: you need Custom Segments enabled in your account to use this feature. If you don't have that feature enabled, you must set this field's value to null.

Example:

10000

Response

default - application/json

successful operation

active
boolean

Whether to actively serve ads in the zones (true) or pause ad serving (false). Defaults to true.

Example:

true

advertisement
object

An object containing the campaign identifier and type when creating a placement for a campaign. Otherwise, provide the appropriate ad item identifier or bidder identifier along with the corresponding type.

NOTE: Subscribers on the Standard tier and below must have the Enhanced Ads add-on to create new rich media ads and native ads, as well as to change existing ads to either of those ad item types. Further, subscribers must have the Programmatic Advertising add-on to create programmatic ads.

channel
integer

If assigned to a channel, this is the channel ID. This field cannot be given if zone is given. Either zone or channel are required in a POST.

NOTE: Only subscribers on the Standard tier and above can create channels or assign campaigns to channels. If you don't have that feature, you must set this field's value to null.

Example:

null

cost
object

An object associating a pricing model with the performance of your ad item placement. This information will be used to calculate the revenue generated by your ad. You can either use a fixed cost or a rate-based pricing model for your ad placements.

Fixed cost is tied to the amount of quota and is given as { 'fixed_cost': 0.00 } You can also use a rate-based pricing model by specifying cpm, cpc, and cpa values as { 'cpm': 0.00, 'cpc': 0.00, 'cpa': 0.00 }.

This field is considered a classic PUT: any properties not included in the cost field will be set to 0.00, even if the property already has a value.

Example:
day_cap_limit
integer
deprecated

This field has been moved to the schedule object and is now deprecated.

Example:

null

day_cap_type
string
deprecated

This field has been moved to the schedule object and is now deprecated.

Example:

"views"

geo_target
integer

The geotarget identifier (ID) if you want your ads to be delivered to a particular location only. This will direct your audience to ads in their region. Defaults to null, which means geographic targeting is not in effect.

NOTE: For campaigns, this can be set only if the campaign's targeting_source was set to "CAMPAIGN". Otherwise, targeting can be configured only in Campaign Assignments. In addition, your subscription must have the Complete Targeting add-on to use this feature. If you don't have the add-on, you must set this field's value to null.

Example:

12345

keywords
string

Specify words separated by commas to determine if this ad should be served if a match is found on the page. You can use an asterisk ("*") to represent a wildcard in a keyword.

For example, "paint*" would match paint, painter, painting, paints, and all other variations.

You can also stop the ad from being served in presence of a specific word by prepending a negative sign (-) to the word. For example, "-paint" would stop the ad from being delivered if the word "paint" is found on the page.

NOTE: For campaigns, this can be set only if the campaign's targeting_source was set to "CAMPAIGN". Otherwise, targeting can be configured only in Campaign Assignments.

Example:

"example, keyword, list"

keywords_match_method
string

Defines the level of keyword targeting. Has three possible values: "required", "preferred" or "filtered".

Set this to "required" to serve the ad only if a keyword match is found. Set this to "preferred" to increase the serving priority of an ad whenever a match is found. Set this to "filtered" to require a keyword match for the ad to be served without affecting the serving priority.

NOTE: For campaigns, this can be set only if the campaign's targeting_source was set to "CAMPAIGN". Otherwise, targeting can be configured only in Campaign Assignments.

Example:

"preferred"

payout
object

This information will be used to calculate the payout to the ad's publisher. Percentage-based payouts will be calculated based on the placement's cost values, whereas rate-based payouts are independent of the placement's cost.

Any combination of the four properties (fixed, cpm, cpc, cpa) can be given; however, fixed payout will be ignored for rate-based payout if any of the other three cpx properties are set.

This field is considered a classic PUT: any properties not included in the payout field will be set to 0.00, even if the property already had a value.

Example:
payout_percent
number<float>
deprecated

The percentage of the ad generated revenue paid out to the publisher.

DEPRECATED: This field has been expanded to the more detailed payout, though it may still be used as a simplified version. We encourage updating to use payout as payout_percent will likely be removed in later versions of the API.

Example:

null

per_user_view_limit
integer
deprecated

This field has been moved to the schedule object and is now deprecated.

Example:

null

per_user_view_period
integer
deprecated

This field has been moved to the schedule object and is now deprecated.

Example:

null

platform_target
integer

The platform target identifier (ID) if you intend to restrict delivery of your ads to a certain device or a platform. Defaults to null, which means platform targeting is not in effect.

NOTE: For campaigns, this can be set only if the campaign's targeting_source was set to "CAMPAIGN". Otherwise, targeting can be configured only in Campaign Assignments. In addition, your subscription must have the Targeting add-on to use this feature.

Example:

12345

priority
string

A value specifying whether to prefer serving of some ads over others in a campaign or channel. Allowable values in order of decreasing priority: "sponsorship", "standard", "network", "bulk", and "house".

Example:

"standard"

serve_method
string

Whether the placement is served using a weight-based ("weight") or auction-based ("auction") system. Defaults to "weight".

Auction-based placements are served based on their CPM and schedule. Weight is ignored for these placements and they are served using the default delivery_method regardless of their assigned schedule.

Weight-based placements are served based on their weight and schedule. These placements can still have a CPM associated with them, but the CPM does not affect serving and is only used for reporting.

NOTE: The serve method cannot be changed. Further, the auction-based system is available only to subscribers who have the Programmatic Advertising or Self-Serve Marketplace add-ons. If you don't have either of these add-ons, you must set this field's value to "weight".

Example:

"weight"

schedule
integer

The schedule identifier (ID).

NOTE: For campaigns, this can be set only if the campaign's scheduling_source was set to "CAMPAIGN". Otherwise, scheduling can be configured only in Campaign Assignments.

Example:

888

weight
integer

A number used to determine the serving frequency of an advertisement. This number is used to compute the probability of an ad being served in a particular zone or channel. Can only be used in zone or channel that uses "weight" as its serving strategy. Defaults to 1, which means every ad has an equal chance of being served. For example, consider three ad items assigned to a zone or channel with weights of 1, 4 and 5. The ratio works out to a corresponding probability of 10%, 40% and 50% chance of each ad item being served.

Example:

1

share_of_voice
integer

A number used to determine the serving frequency of an advertisement. Required when placement is assigned to a zone or channel that uses "share of voice" as its serving strategy. The sum of the share of voice for all placements in a zone or channel cannot exceed 100.

Example:

25

zone
object

If assigned to a zone, this is an object containing type and the zone ID. This field cannot be given if channel is given. Either zone or channel are required in a POST. The type value can be either standard_zone or email_zone.

Example:
data_key_target_id
integer

The Data Key Target identifier (ID).

NOTE: For campaigns, this can be set only if the campaign's targeting_source was set to "CAMPAIGN". Otherwise, targeting can be configured only in Campaign Assignments. In addition, only Enterprise subscribers have access to the Data Keys feature. If you don't have that feature enabled, you must set this field's value to null or 0.

Example:

10000

list_target
integer

The List Target identifier (ID) if you want your ads to be delivered based on the inclusion or exclusion of specific values in their respective lists. Defaults to null which means list targeting is not in effect. NOTE: For campaigns, this can be set only if the campaign's targeting_source was set to "CAMPAIGN". Otherwise, targeting can be configured only in Campaign Assignments. In addition, you need to have List Targeting enabled in your account to use this feature. If you don't have that feature enabled, you must set this field's value to null.

Example:

12345

contextual_segments
integer[]

An array of contextual segment identifiers (IDs).

Example:
audience_segments
integer[]

Field for an upcoming feature. For now, set this field's value to null or an empty array.

Example:
custom_segment_definition
integer

The Custom Segment Definition identifier (ID) if you want this placement targeted at the members that definition selects. Defaults to null, which means custom segment targeting is not in effect. The member is identified on the ad call by the custom_segment_member parameter. A placement carries a single definition, so a second rule set needs a second definition on a second placement. NOTE: you need Custom Segments enabled in your account to use this feature. If you don't have that feature enabled, you must set this field's value to null.

Example:

10000

created_date
string<date-time>

The date and time when the ad item placement was created.

Example:

"2019-04-17 16:31:02"

object
string

A string denoting the current resource being requested or affected.

Example:

"placement"

self
string

The relative URL of the current resource being requested or affected.

Example:

"/v2/placements/1234"

id
integer

The current resource identifier (ID).

Example:

1234